## gspiceui 1.1.00+dfsg

=== Makefile ===
#***************************************************************************************************
#                                             Makefile                                             *
#                                            ----------                                            *
# Description : Makefile for GNU SPICE GUI project house-keeping.                                  *
# Started     : 2004-01-08                                                                         *
# Last update : 2015-04-29                                                                         *
# Copyright   : (C) 2004 by MSWaters                                                               *
#***************************************************************************************************

#***************************************************************************************************
#                                                                                                  *
#       This program is free software; you can redistribute it and/or modify it under the          *
#       terms of the GNU General Public License as published by the Free Software Foundation;      *
#       either version 3 of the License, or (at your option) any later version.                    *
#                                                                                                  *
#***************************************************************************************************

#***************************************************************************************************
# Any or all of the values in this section may be set below or on the command line when envoking
# make eg. :
#
#   make DESTDIR=/new/dest/dir install
#   make DESTDIR=/new/dest/dir uninstall
#
# Note : Values specified on the command line over-ride those specified below.
#***************************************************************************************************

# Destination (install) directory
DESTDIR = /usr/local

#***************************************************************************************************
# Specify string values
#***************************************************************************************************

# Root directory
ROOT := $(shell pwd)

#***************************************************************************************************
# Make these targets
#***************************************************************************************************

all : config
	cd $(ROOT)/src ; $(MAKE)

#***************************************************************************************************
# Calculate the size of the various sources making up this project
#***************************************************************************************************

size :
	$(ROOT)/charcnt.sh >> charcnt.txt

#***************************************************************************************************
# Create an archive of the essential project files as follows :
#
#   1.  Change the make variable "TAR_NAME" (below) to the current version number
#   2.  Change to the project root directory
#   3.  Execute "make tar" to create the project archive file eg. gspiceui-v1.1.00.tar.gz
#***************************************************************************************************

TAR_VER=v1.1.00

TAR_DEST= gspiceui-$(TAR_VER)/gspiceui-$(TAR_VER).tar.gz

TAR_SRCS =gspiceui-$(TAR_VER)/release-notes-$(TAR_VER).txt
TAR_SRCS+=gspiceui-$(TAR_VER)/Authors
TAR_SRCS+=gspiceui-$(TAR_VER)/ChangeLog
TAR_SRCS+=gspiceui-$(TAR_VER)/Install
TAR_SRCS+=gspiceui-$(TAR_VER)/License
TAR_SRCS+=gspiceui-$(TAR_VER)/Makefile
TAR_SRCS+=gspiceui-$(TAR_VER)/ReadMe
TAR_SRCS+=gspiceui-$(TAR_VER)/ToDo
TAR_SRCS+=gspiceui-$(TAR_VER)/gspiceui.1
TAR_SRCS+=gspiceui-$(TAR_VER)/gspiceui.lsm
TAR_SRCS+=gspiceui-$(TAR_VER)/src/*
TAR_SRCS+=gspiceui-$(TAR_VER)/html/Makefile
TAR_SRCS+=gspiceui-$(TAR_VER)/html/*.html
TAR_SRCS+=gspiceui-$(TAR_VER)/html/*.png
TAR_SRCS+=gspiceui-$(TAR_VER)/html/*.jpg
TAR_SRCS+=gspiceui-$(TAR_VER)/sch/Makefile
TAR_SRCS+=gspiceui-$(TAR_VER)/sch/*/*.sch
TAR_SRCS+=gspiceui-$(TAR_VER)/lib/Makefile
TAR_SRCS+=gspiceui-$(TAR_VER)/lib/models/*.ckt
TAR_SRCS+=gspiceui-$(TAR_VER)/lib/models/*.mod
TAR_SRCS+=gspiceui-$(TAR_VER)/lib/symbols/*
TAR_SRCS+=gspiceui-$(TAR_VER)/mac/Info.plist
TAR_SRCS+=gspiceui-$(TAR_VER)/mac/GSpiceUI.icns
TAR_SRCS+=gspiceui-$(TAR_VER)/svg/Makefile
TAR_SRCS+=gspiceui-$(TAR_VER)/svg/*.svg

tar :
	make clean
	cd svg ; make ; cd ..
	cd .. ; mv gspiceui gspiceui-$(TAR_VER)
	cd .. ; tar --totals --exclude .svn -zcf $(TAR_DEST) $(TAR_SRCS)
	cd .. ; mv gspiceui-$(TAR_VER) gspiceui

#***************************************************************************************************
# Perform configuration tasks
#***************************************************************************************************

# Everyone should call this once
config :
ifneq ($(ROOT)/bin,$(wildcard $(ROOT)/bin))
	mkdir $(ROOT)/bin
endif
ifneq ($(ROOT)/src/obj,$(wildcard $(ROOT)/src/obj))
	mkdir $(ROOT)/src/obj
endif

# You should also call this once if running on a MAC
maccfg : $(ROOT)/mac/Info.plist $(ROOT)/mac/GSpiceUI.icns
ifneq ($(ROOT)/GSpiceUI.app,$(wildcard $(ROOT)/GSpiceUI.app))
	-mkdir $(ROOT)/GSpiceUI.app
	-mkdir $(ROOT)/GSpiceUI.app/Contents
	-mkdir $(ROOT)/GSpiceUI.app/Contents/MacOS
	-mkdir $(ROOT)/GSpiceUI.app/Contents/Resources
	cp $(ROOT)/mac/Info.plist $(ROOT)/GSpiceUI.app/Contents/
	echo -n 'APPL????' > $(ROOT)/GSpiceUI.app/Contents/PkgInfo
	cp $(ROOT)/mac/GSpiceUI.icns $(ROOT)/GSpiceUI.app/Contents/Resources/
endif

#***************************************************************************************************
# Perform installation tasks
#***************************************************************************************************

install :
	mkdir -p     $(DESTDIR)/share/gspiceui
	cp ReadMe    $(DESTDIR)/share/gspiceui
	cp Install   $(DESTDIR)/share/gspiceui
	cp ChangeLog $(DESTDIR)/share/gspiceui
	mkdir -p     $(DESTDIR)/share/gspiceui/icons
	cp src/icons/gspiceui-*.xpm $(DESTDIR)/share/gspiceui/icons
	mkdir -p $(DESTDIR)/share/man/man1
	cp gspiceui.1 $(DESTDIR)/share/man/man1
	cd $(ROOT)/src  ; $(MAKE) install DESTDIR=$(DESTDIR)
	cd $(ROOT)/html ; $(MAKE) install DESTDIR=$(DESTDIR)
	cd $(ROOT)/sch  ; $(MAKE) install DESTDIR=$(DESTDIR)
	cd $(ROOT)/lib  ; $(MAKE) install DESTDIR=$(DESTDIR)

#***************************************************************************************************
# Perform uninstall tasks
#***************************************************************************************************

uninstall :
	cd $(ROOT)/src  ; $(MAKE) uninstall DESTDIR=$(DESTDIR)
	cd $(ROOT)/html ; $(MAKE) uninstall DESTDIR=$(DESTDIR)
	cd $(ROOT)/sch  ; $(MAKE) uninstall DESTDIR=$(DESTDIR)
	cd $(ROOT)/lib  ; $(MAKE) uninstall DESTDIR=$(DESTDIR)
	rm -f  $(DESTDIR)/share/man/man1/gspiceui.1
	rm -fr $(DESTDIR)/share/gspiceui
#	rmdir --ignore-fail-on-non-empty $(DESTDIR)/share/man/man1
#	rmdir --ignore-fail-on-non-empty $(DESTDIR)/share/man
#	rmdir --ignore-fail-on-non-empty $(DESTDIR)/share

#***************************************************************************************************
# Remove temporary files and backup files
#***************************************************************************************************

clean :
	rm -f Makefile~ charcnt~
	cd $(ROOT)/src  ; $(MAKE) cleanall
	cd $(ROOT)/html ; $(MAKE) clean
	cd $(ROOT)/sch  ; $(MAKE) clean
	cd $(ROOT)/lib  ; $(MAKE) clean

#***************************************************************************************************
# Specify phony targets
#***************************************************************************************************

.PHONY : size tar config install uninstall clean

#***************************************************************************************************

=== sch/Makefile ===
#***************************************************************************************************
#                                             Makefile                                             *
#                                            ----------                                            *
# Description : House-keeping for the GNU Spice GUI Project example schematic files.               *
# Started     : 2004-01-20                                                                         *
# Last update : 2015-01-09                                                                         *
# Copyright   : (C) 2004 by MSWaters                                                               *
#***************************************************************************************************

#***************************************************************************************************
#                                                                                                  *
#       This program is free software; you can redistribute it and/or modify it under the          *
#       terms of the GNU General Public License as published by the Free Software Foundation;      *
#       either version 3 of the License, or (at your option) any later version.                    *
#                                                                                                  *
#***************************************************************************************************

#***************************************************************************************************
# Any or all of the values in this section may be set below or on the command line when envoking
# make eg. :
#
#   make DESTDIR=/new/dest/dir install
#   make DESTDIR=/new/dest/dir uninstall
#
# Note : Values specified on the command line over-ride those specified below.
#***************************************************************************************************

# Destination (install) directory
DESTDIR = /usr/local

#***************************************************************************************************
# Specify string values
#***************************************************************************************************

# Root directory
ROOT := $(shell pwd)

# Objects
OBJS := $(patsubst %.sch, %.ckt, $(wildcard */*.sch))

#***************************************************************************************************
# Make these targets
#***************************************************************************************************

all : $(OBJS)

# Schematic to netlist conversion rules :
#   -v  verbose mode (gives as much feedback to the user as possible)
#   -q  quiet   mode (turns off all warnings / notes / messages)
#   -g  the guile procedure executed to create the netlist
#   -o  place output file in $@
#   $<  is the name of the first dependency
#   $@  is the file name of the target

%.ckt : %.sch
	@cd $(dir $<) ; gnetlist -g spice-sdb -o $(notdir $@) $(notdir $<)
	@echo

#***************************************************************************************************
# Perform installation tasks
#***************************************************************************************************

install :
	cp -r $(ROOT) $(DESTDIR)/share/gspiceui

#***************************************************************************************************
# Perform uninstall tasks
#***************************************************************************************************

uninstall :
	rm -fr $(DESTDIR)/share/gspiceui/sch

##**************************************************************************************************
# Remove temporary files and backup files
#***************************************************************************************************

clean :
	rm -f Makefile~ */*.gnucap.?? */*.ngspice.?? */*.ckt */*.sim */*.log */*.sch~

#***************************************************************************************************
# Specify phony targets
#***************************************************************************************************

.PHONY : install uninstall clean

#***************************************************************************************************

=== src/Makefile ===
#***************************************************************************************************
#                                             Makefile                                             *
#                                            ----------                                            *
# Description : Build system for the GNU SPICE GUI project C++ source files.                       *
# Started     : 2003-03-18                                                                         *
# Last update : 2015-03-29                                                                         *
# Copyright   : (C) 2003 by MSWaters                                                               *
#***************************************************************************************************

#***************************************************************************************************
#                                                                                                  *
#       This program is free software; you can redistribute it and/or modify it under the          *
#       terms of the GNU General Public License as published by the Free Software Foundation;      *
#       either version 3 of the License, or (at your option) any later version.                    *
#                                                                                                  *
#***************************************************************************************************

#***************************************************************************************************
# Any or all of the values in this section may be set below or on the command line when envoking
# make eg. :
#
#   make GSPICEUI_DBG=1 GSPICEUI_WXLIB=2.8
#
# Note : Values specified on the command line over-ride those specified below.
#***************************************************************************************************

# Create bin file containing debug information (ie. for gdb)
GSPICEUI_DBG = 0

# Specify the version of the wxWidgets library to compile against
GSPICEUI_WXLIB = 3.0

# Specify the install directory
DESTDIR = /usr/local/bin

#***************************************************************************************************
# Specify string values
#***************************************************************************************************

# Which compiler
CXX = g++

# Application name
PROG = gspiceui

# wxWidgets configuration utility
WXCFG = wx-config --unicode --version=$(GSPICEUI_WXLIB)

# Dependency file
DEPS = Makefile.deps

# Directories
# Long winded but unambiguous
#ROOT     := $(shell cd .. ; pwd)
# Short form but possibly ambiguous
ROOT       = ..
SRCDIR     = $(ROOT)/src
OBJDIR     = obj
BINDIR     = $(ROOT)/bin

# Compiler options :
#  -Wall      Enable all optional warnings desirable for normal code
#  -Wextra    Enable extra warning flags not enabled by "-Wall"
#  -pipe      Use pipes rather than temp. files for comms. between various stages of compilation
#  -O0        Reduce compilation time but don't break debugging (this is the default)
#  -O1        Optimize
#  -O2        Optimize even more
#  -O3        Optimize yet more
#  -Ofast     Optimize till it hurts : "-O3" + enable opts not valid for all standard-compliants
#  -Os        Optimize for size
#  -Og        Optimize debugging experience but don't break debugging
ifeq ($(GSPICEUI_DBG),0)
  # Options for release (not using -Wall since it's GCC specific)
  CXXFLAGS := -O1 -pipe $(shell $(WXCFG) --cxxflags)
else
  # Options for development
  CXXFLAGS := -g -Og -Wall -Wextra -pipe $(shell $(WXCFG) --cxxflags)
endif

# The following suppresses spurious warnings from gcc with wxWidgets v2.8.12
ifeq ($(GSPICEUI_WXLIB),2.8)
  CXXFLAGS += -Wno-unused-local-typedefs
endif

# Includes
INCLUDES = -I/usr/include -I/usr/X11R6/include -I.

# Libraries
# (The pkg-config stuff was requested by a user, somehow pangox was missing)
LIBS := $(shell $(WXCFG) --libs core,base,html) $(shell pkg-config --libs-only-l pangox)

# Objects
OBJS := $(wildcard *.cpp) $(wildcard */*.cpp) $(wildcard */*/*.cpp)
OBJS := $(filter-out tests/%.cpp, $(OBJS))
OBJS := $(notdir $(OBJS))
OBJS := $(patsubst %.cpp, obj/%.o, $(OBJS))

# Specify list of directories that `make' should search for prerequisite files
VPATH = $(BINDIR)

# Set search paths for the specific file types
vpath   %.cpp    base main netlist process utility tests                 \
	               ngspice ngspice/commands ngspice/dialogs ngspice/panels \
	               gnucap  gnucap/commands  gnucap/dialogs  gnucap/panels
vpath   %.o      obj
vpath   test_%   $(BINDIR)

#***************************************************************************************************
# Make these targets
#***************************************************************************************************

all : banner $(OBJS) $(PROG)
	@echo
	@echo "********************** Build process completed **********************"
	@echo

banner :
	@echo
	@echo "*********************** Build gSpiceUI binary ***********************"
	@echo

# Compiler Rules :
#   $<  is the name of the first dependency
#   $@  is the file name of the target
#   -c  compile only, don't link, produces object file ie. <name>.o files
#   -o  place output file in $@

obj/%.o : %.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDES) $< -o $@
	@echo

# Linker Rules :
#   -pipe  use pipes rather temporary files for interprocess communications
#   -o     specify the output file name

$(BINDIR)/$(PROG) : $(OBJS)
	$(CXX) -pipe -o $(BINDIR)/$(PROG) obj/*.o $(LIBS)
ifeq ($(ROOT)/GSpiceUI.app,$(wildcard $(ROOT)/GSpiceUI.app))
	cp $(BINDIR)/$(PROG) $(ROOT)/GSpiceUI.app/Contents/MacOS/gspiceui
endif

#***************************************************************************************************
# Include the dependencies file
#***************************************************************************************************

ifeq ($(DEPS),$(wildcard $(DEPS)))
  include $(DEPS)
endif

#***************************************************************************************************
# Create the dependencies file
#***************************************************************************************************

deps :
	$(CXX) -MM -D wxCHECK_VERSION="" -I. *.cpp */*.cpp */*/*.cpp | \
	gawk 'BEGIN {} { printf "%s%s\n", (index($$0," ")!=1 ? "$(OBJDIR)/" : ""), $$0 }' > $(DEPS)

#***************************************************************************************************
# Build the test utilities
#***************************************************************************************************

tests : test_Component test_NetList test_CnvtType test_CmdNgSpiceOPT test_CmdNgSpicePR           \
	      test_CmdNgSpiceDC test_CmdNgSpiceAC test_CmdNgSpiceTR test_CmdGnuCapOPT test_CmdGnuCapPR \
	      test_CmdGnuCapOP  test_CmdGnuCapDC  test_CmdGnuCapAC  test_CmdGnuCapTR  test_CmdGnuCapFO \
	      test_CmdGnuCapGEN test_StrUtils test_AppPnlValue

# Compiler options

test_% : CXXFLAGS  = -Wall -g -pipe $(shell $(WXCFG) --cxxflags)
ifeq ($(GSPICEUI_WXLIB),2.8)  # This suppresses spurious warnings from gcc with wxWidgets v2.8.12
  test_% : CXXFLAGS += -Wno-unused-local-typedefs
endif
test_% : CXXFLAGS += -D $(shell echo $@ | tr "[:lower:]" "[:upper:]")
# Libraries
test_% : LIBS      = $(shell $(WXCFG) --libs core,base)

# Compiler Rules for test utilities :
#   $^  is the names of all the prerequisites
#   $@  is the file name of the target

test_% : %.cpp
	@echo
	$(CXX) $(CXXFLAGS) $(INCLUDES) $^ -o $(BINDIR)/$@ $(LIBS)
	@echo

test_StrUtils      : StrUtils.cpp Component.cpp CnvtType.cpp
test_CnvtType      : CnvtType.cpp
test_Component     : Component.cpp CnvtType.cpp StrUtils.cpp
test_NetList       : NetList.cpp Component.cpp StrUtils.cpp TypeDefs.cpp CnvtType.cpp

test_CmdNgSpiceOPT : CmdNgSpiceOPT.cpp CmdBase.cpp CnvtType.cpp
test_CmdNgSpiceDC  : CmdNgSpiceDC.cpp  CmdBase.cpp CnvtType.cpp
test_CmdNgSpiceAC  : CmdNgSpiceAC.cpp  CmdBase.cpp CnvtType.cpp
test_CmdNgSpiceTR  : CmdNgSpiceTR.cpp  CmdBase.cpp CnvtType.cpp
test_CmdNgSpicePR  : CmdNgSpicePR.cpp  CmdBase.cpp

test_CmdGnuCapOPT  : CmdGnuCapOPT.cpp  CmdBase.cpp CnvtType.cpp
test_CmdGnuCapOP   : CmdGnuCapOP.cpp   CmdBase.cpp CnvtType.cpp
test_CmdGnuCapDC   : CmdGnuCapDC.cpp   CmdBase.cpp CnvtType.cpp
test_CmdGnuCapAC   : CmdGnuCapAC.cpp   CmdBase.cpp CnvtType.cpp
test_CmdGnuCapTR   : CmdGnuCapTR.cpp   CmdBase.cpp CnvtType.cpp
test_CmdGnuCapFO   : CmdGnuCapFO.cpp   CmdBase.cpp CnvtType.cpp
test_CmdGnuCapGEN  : CmdGnuCapGEN.cpp  CmdBase.cpp CnvtType.cpp
test_CmdGnuCapPR   : CmdGnuCapPR.cpp   CmdBase.cpp CnvtType.cpp TypeDefs.cpp StrUtils.cpp \
	                   Component.cpp NetList.cpp

test_AppPnlValue   : AppPnlValue.cpp PnlValue.cpp UnitsBase.cpp ChoUnits.cpp LblUnits.cpp \
	                   PnlTxtSpn.cpp PnlLblTxt.cpp CnvtType.cpp

#***************************************************************************************************
# Install the application
#***************************************************************************************************

install :
	mkdir -p $(DESTDIR)/bin
	cp ../bin/$(PROG) $(DESTDIR)/bin

#***************************************************************************************************
# Uninstall the application
#***************************************************************************************************

uninstall :
	rm -f $(DESTDIR)/bin/$(PROG)
#	rmdir --ignore-fail-on-non-empty $(DESTDIR)/bin

#***************************************************************************************************
# Remove old versions of the main application binary and object files
#***************************************************************************************************

clean :
	rm -f $(BINDIR)/$(PROG) $(OBJDIR)/*.o

#***************************************************************************************************
# Remove old versions of test application binaries
#***************************************************************************************************

cleantests :
	rm -f $(BINDIR)/test_*

#***************************************************************************************************
# Remove old versions of all application binaries
#***************************************************************************************************

cleanall : clean cleantests

#***************************************************************************************************
# Specify phony targets (ie. targets which are not files)
#***************************************************************************************************

.PHONY : banner deps install uninstall clean cleantests

#***************************************************************************************************

=== svg/Makefile ===
#***************************************************************************************************
#                                             Makefile                                             *
#                                            ----------                                            *
# Description : Build system for GNU SPICE GUI project SVG diagrams (these drawings can be edited  *
#               with GNU drawing package Inkscape).                                                *
# Started     : 2004-04-06                                                                         *
# Last update : 2015-01-09                                                                         *
# Copyright   : (C) 2004 by MSWaters                                                               *
#***************************************************************************************************

#***************************************************************************************************
#                                                                                                  *
#       This program is free software; you can redistribute it and/or modify it under the          *
#       terms of the GNU General Public License as published by the Free Software Foundation;      *
#       either version 3 of the License, or (at your option) any later version.                    *
#                                                                                                  *
#***************************************************************************************************

#***************************************************************************************************
# Specify string values
#***************************************************************************************************

# Which SVG converter
CNVTR = inkscape

# Directories
ROOT := $(shell cd .. ; pwd)
OBJDIR = $(ROOT)/html

# Objects
OBJS := $(patsubst %.svg,$(OBJDIR)/%.png,$(wildcard *.svg))

#***************************************************************************************************
# Make these targets
#***************************************************************************************************

all : $(OBJS)

# Compiler Rules
# ($< is the name of the first dependency)
# ($@ is the file name of the target)
# (-L is the output graphics language)
# (-m is the magnification at which the figure is rendered)

$(OBJDIR)/%.png : %.svg
	$(CNVTR) -b white -D -f $< -e $@

#***************************************************************************************************
# Remove temporary files and backup files
#***************************************************************************************************

clean :
	rm -f Makefile~ *.bak $(OBJDIR)/OM-*.png

#***************************************************************************************************
# Specify phony targets
#***************************************************************************************************

.PHONY : clean

#***************************************************************************************************

=== debian/changelog ===
gspiceui (1.1.00+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: use short dh
  * Drop menu file and the icon used only by this
  * Standards-Version: 4.1.3
  * d/rules: Drop get-orig-source target in favour of Files-Excluded,
    adapt d/watch accordingly
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 10:45:49 +0100

gspiceui (1.1.00+dfsg-1) unstable; urgency=medium

  * New release version
  * Bump standards version to 3.9.6
  * Change wx dependencies to version 3.0 (Closes: #750743)
  * Update copyright file, new download site and license changed to GPL-3
  * Add patch 01_makefile to fix errors in makefile
  * Add patch 02_fix_compilation to fix a source file
  * Add patch 03_manpage to fix minor errors in manpage
  * Fix description (Closes: #749860)
  * Change dependency on gwave to suggests
  * Make vcs fields canonical
  * Update hardening wrappers to dpkg-buildflags. It doesn't compile
    so they are commented out in this release.
  * Add patch to change gwave2 to gwave
  * Add more information on how to download sources to README.Debian
  * Add patch 05_manual_path to fix path to html manual
  * Fix project homepage in control file
  * Remove DM allow upload
  * Correct version in desktop file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 21 May 2015 22:05:08 +0200

=== debian/control ===
Source: gspiceui
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Section: electronics
Priority: optional
Build-Depends: debhelper (>= 11~),
               libwxgtk3.0-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/gspiceui.git
Vcs-Git: https://salsa.debian.org/science-team/gspiceui.git
Homepage: http://sourceforge.net/projects/gspiceui/

Package: gspiceui
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         geda-gschem,
         geda-gnetlist
Recommends: gnucap
Suggests: ngspice,
          gwave
Description: Graphical user interface for gnucap and ngspice
 Gspiceui is a graphichal user interface for the two freely available
 electronic circuit engines: GNU-Cap and Ng-Spice.
 Current features are:
  * Import gschem schematic files using gentlist.
  * Load and parse circuit description (net list) files.
  * Provides a GUI interface for GNU-Cap OP, DC, AC and Transient analyses and
 generates appropriate simulator commands based on user input. 
  * Provides a GUI interface for Ng-Spice DC, AC and Transient analyses and
 generates appropriate simulator commands based on user input. 
  * The raw output may be viewed for any processes initiated by gspiceui.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
# Compile at -O1 instead of -O2 for now to work around:
# /usr/include/wx-3.0/wx/ctrlsub.h:144: undefined reference to `non-virtual thunk to wxListBoxBase::IsSorted() const'
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS|sed 's/-O2//') $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,-Bsymbolic-functions

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/gspiceui/usr install
	rm -f debian/gspiceui/usr/share/gspiceui/Install
	mv -f debian/gspiceui/usr/share/gspiceui/* debian/gspiceui/usr/share/doc/gspiceui/
	rmdir debian/gspiceui/usr/share/gspiceui
	mkdir -p debian/gspiceui/usr/share/applications
	cp -a debian/gspiceui.desktop debian/gspiceui/usr/share/applications/
	rm -f debian/gspiceui/usr/share/doc/gspiceui/ChangeLog

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   http://sf.net/gspiceui/gspiceui-v(.*)\.tar\.gz

## gspiceui 1.2.36+dfsg

=== debian/changelog ===
gspiceui (1.2.36+dfsg-1) unstable; urgency=medium

  * Bump standards to 4.4.0
  * Add gbp.conf
  * Refresh all patches
  * Change dependency to libwxgtk3.0-gtk3-dev (Closes: #933457)
  * Add src/test-apps/obj/ to files excluded
  * Fix clean target

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 21 Sep 2019 16:00:05 +0200

gspiceui (1.1.00+dfsg-3) unstable; urgency=medium

  * Fix build error, thanks to Helmut Grohne (Closes: #894038)
  * Fix typo in description (Closes: #862047)
  * Reproducible build. Thanks to Alexis Bienvenüe (Closes: #823239)
  * Bump standards version to 4.2.1, no changes needed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 29 Sep 2018 20:04:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Section: electronics
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               libwxgtk3.0-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/science-team/gspiceui.git
+               libwxgtk3.0-gtk3-dev
+Standards-Version: 4.4.0
+Homepage: http://sourceforge.net/projects/gspiceui/
 Vcs-Git: https://salsa.debian.org/science-team/gspiceui.git
-Homepage: http://sourceforge.net/projects/gspiceui/
+Vcs-Browser: https://salsa.debian.org/science-team/gspiceui
 
 Package: gspiceui
 Architecture: any
@@ -19,7 +19,7 @@
 Suggests: ngspice,
           gwave
 Description: Graphical user interface for gnucap and ngspice
- Gspiceui is a graphichal user interface for the two freely available
+ Gspiceui is a graphical user interface for the two freely available
  electronic circuit engines: GNU-Cap and Ng-Spice.
  Current features are:
   * Import gschem schematic files using gentlist.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,16 @@
 %:
 	dh $@
 
+override_dh_auto_clean:
+	#dh_auto_clean #Command hangs
+	rm -rf bin/
+	rm -rf src/obj/
+	rm -rf src/test-apps/obj
+	rm -rf debian/.debhelper/
+	rm -f debian/debhelper-build-stamp
+	rm -rf debian/files
+	rm -rf debian/gspiceui/
+
 override_dh_auto_build:
 	CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
